> For the complete documentation index, see [llms.txt](https://docs.b2winsuite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2winsuite.com/5.5/scripting/scripting-in-b2data/custom-script-nodes/condition-node.md).

# Condition Node

Apply conditions and filters to your workflow.&#x20;

In case you need one or more paths in the workflow to work on special conditions, you can drag the condition node and then write a condition script that returns true or false. When the condition value is true, then the condition node passes the input it received to the next node connected to it. If the condition value is false, then the condition node will not pass the input and next nodes in the current path will not be executed.

In the condition script, you can use the node input value which could be file or data.

* Use ctrl+space for autocomplete
* Type *util* to get all function groups, pick one and then type a dot to view all functions within the group you selected. All Utility Classes are available at [Utility Classes](/5.5/scripting/utilities.md).
* Use NodeInputReader to get the nodes input object.

For example, you might use it to check if the price of a specific row is grater than 1.3

```javascript
// Read input data and store it as a DataFrame named 'table'
var table = NodeInputReader.inputAsDataFrame();

// Check if the 't_pric' (Price) value in the 1st row of the DataFrame is greater than 1.3
if (table.doubleColumn("t_pric").getDouble(0) > 1.3) {
    // Return true if the condition is met
    return true;
} else {
    // Return false if the condition is not met
    return false;
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2winsuite.com/5.5/scripting/scripting-in-b2data/custom-script-nodes/condition-node.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
